## gnutls28 3.8.8

=== debian/changelog ===
gnutls28 (3.8.8-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Nov 2024 07:00:47 +0100

gnutls28 (3.8.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Nov 2024 16:32:03 +0100

gnutls28 (3.8.8-1) experimental; urgency=low

  * Partial merge from 3.8.6-2ubuntu1:
    + Fix logic for i386 autopkgtest on an amd64 host.
    + Don't run the testsuite under the influence of a configuration
      file.
  * New upstream version.
    + Drop cherry-picked patches.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Nov 2024 12:54:44 +0100

gnutls28 (3.8.7.1-1) experimental; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Refresh upstream signing keys.

  [ Andreas Metzler ]
  * New upstream version.
    + Update copyright info.
    + Drop now unneeded datefudge build- and autopkgtest-dep.
      Closes: #1077935, #1031553
  * 51-Also-set-ENABLE_DSA-for-tests-in-cert-tests-subdirec.patch: Do not skip
    all DSA tests in cert-tests subdirectory. Also set ENABLE_DSA=1 in
    autopkgtest.
  * 52_revert-back-to-datefudge-for-openssl-ocsp.patch: Skip some
    ocsp test instead of fixing them and requiring datefudge.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 15 Aug 2024 16:40:32 +0200
