## gnutls28 3.8.9

=== debian/changelog ===
gnutls28 (3.8.9-3) unstable; urgency=medium

  * Cherry-pick fixes from 3.8.10 release:
    + libgnutls: Fix NULL pointer dereference when 2nd Client Hello omits
      PSK Reported by Stefan Bühler.
      [GNUTLS-SA-2025-07-07-4, CVSS: medium] [CVE-2025-6395]
    + libgnutls: Fix heap read buffer overrun in parsing X.509 SCTS
      timestamps Spotted by oss-fuzz and reported by OpenAI Security
      Research Team, and fix developed by Andrew Hamilton.
      [GNUTLS-SA-2025-07-07-1, CVSS: medium] [CVE-2025-32989]
    + libgnutls: Fix double-free upon error when exporting otherName in
      SAN Reported by OpenAI Security Research Team.
      [GNUTLS-SA-2025-07-07-2, CVSS: low] [CVE-2025-32988]
    + certtool: Fix 1-byte write buffer overrun when parsing template
      Reported by David Aitel. [GNUTLS-SA-2025-07-07-3, CVSS: low]
      [CVE-2025-32990]
    + Fixes for memory leaks in lib/x509/x509_ext.c andlib/hello_ext.c.
    + Fix uninitialized memory read while processing the "pre_shared_key"
      extension in TLS 1.3.
    + Avoid uninitialized use of crq version.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 09 Jul 2025 12:34:38 +0200

gnutls28 (3.8.9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 10 Feb 2025 06:33:24 +0100

gnutls28 (3.8.9-1) experimental; urgency=medium

  * New upstream version.
    + libgnutls: Fix potential DoS in handling certificates with numerous
      name constraints, as a follow-up of CVE-2024-12133 in libtasn1. The
      bundled copy of libtasn1 has also been updated to the latest 4.20.0
      release to complete the fix.  Reported by Bing Shi (#1553).
      [GNUTLS-SA-2025-02-07, CVSS: medium] [CVE-2024-12243]
    + Unfuzz 14_version_gettextcat.diff.
    + Update copyright information.
    + Let ./configure check for python on Debian builds to run cligen during
      build-time.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Feb 2025 16:19:41 +0100
