=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  bison,
  ca-certificates <!nocheck>,
  chrpath,
- datefudge <!nocheck>,
  debhelper-compat (= 13),
  freebsd-net-tools [kfreebsd-i386 kfreebsd-amd64] <!nocheck>,
  gperf,
@@ -36,7 +35,7 @@
 Build-Conflicts:
  libgnutls-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnutls-team/gnutls
 Vcs-Git: https://salsa.debian.org/gnutls-team/gnutls.git
 Homepage: https://www.gnutls.org/
