=== debian/tests/control ===
Tests: run-upstream-testsuite
Depends:
 build-essential,
 ca-certificates,
 freebsd-net-tools [kfreebsd-i386 kfreebsd-amd64],
 net-tools [!kfreebsd-i386 !kfreebsd-amd64],
 openssl [!i386],
 openssl:i386 [i386],
 softhsm2,
 @,
Restrictions: rw-build-tree, allow-stderr
