## gnutls28 3.8.10

=== debian/changelog ===
gnutls28 (3.8.10-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130708). Remaining changes:
    - Enable CET.
    - d/patches/crypto-config.patch: also read configuration from
      /var/lib/crypto-config/profiles/current/gnutls.conf
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
  * Drop changes
    - Present upstream: pull patches between 3.8.9 and 2025/03/19:
      + post-3.8.9/*: add upstream patches from git

 -- Richard Scott McNew <scott.mcnew@canonical.com>  Wed, 05 Nov 2025 12:34:51 +0100

gnutls28 (3.8.10-3) unstable; urgency=high

  * Upgrade texinfo.tex to latest (2025-10-25.20) in debian/rules until
    automake also includes this version (see #1119031). Closes: #1118328

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Oct 2025 10:35:14 +0100

gnutls28 (3.8.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Aug 2025 15:47:51 +0200

gnutls28 (3.8.10-1) experimental; urgency=medium

  * New upstream version.
    + Disable failing test.
    + Drop cherry-picked patches.
    + Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 09 Jul 2025 15:13:36 +0200

gnutls28 (3.8.9-3ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 11:42:02 +0000

gnutls28 (3.8.9-3ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.
    - d/patches/crypto-config.patch: also read configuration from
      /var/lib/crypto-config/profiles/current/gnutls.conf
    - Pull patches between 3.8.9 and 2025/03/19:
      + post-3.8.9/*: add upstream patches from git

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 11 Jul 2025 10:39:03 -0400

gnutls28 (3.8.9-2ubuntu3) plucky; urgency=medium

  * Pull patches between 3.8.9 and 2025/03/19:
    - post-3.8.9/*: add upstream patches from git

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 19 Mar 2025 13:16:57 +0100

gnutls28 (3.8.9-2ubuntu2) plucky; urgency=medium

  * d/patches/crypto-config.patch: also read configuration from
    /var/lib/crypto-config/profiles/current/gnutls.conf

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 12 Feb 2025 12:02:34 +0100

gnutls28 (3.8.9-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Enable CET.
    - Set default priority string to only allow TLS1.2, DTLS1.2, and
      TLS1.3 with medium security profile (2048 RSA keys minimum, and
      similar).
    - Forcefully disable TLS 1.0 and 1.1 through /etc/gnutls/config.
    - Forcefully disable DTLS 0.9 and 1.0 through /etc/gnutls/config.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2025 14:03:07 +0100
