=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	--with-packager=Debian \
 	--with-packager-bug-reports=http://bugs.debian.org/ \
 	--with-packager-version=$(DEB_VERSION) \
+	--with-default-priority-string='NORMAL:-VERS-ALL:+VERS-TLS1.3:+VERS-TLS1.2:+VERS-DTLS1.2:%PROFILE_MEDIUM'
 
 BDIR = -O--builddirectory=b4deb
 
@@ -39,6 +40,8 @@
 		else \
 			dh_autoreconf --verbose $(BDIR) ; \
 		fi
+	# Bug#1118328
+	cp -v debian/texinfo.tex build-aux/
 
 override_dh_makeshlibs:
 	dh_makeshlibs $(BDIR) -p libgnutls30t64  \
