## gnutls28 3.8.11

=== debian/changelog ===
gnutls28 (3.8.11-3) unstable; urgency=medium

  * Really upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Nov 2025 14:55:24 +0100

gnutls28 (3.8.11-2) experimental; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Nov 2025 14:30:24 +0100

gnutls28 (3.8.11-1) experimental; urgency=medium

  * New upstream version.
    + Includes patch for CVE-2025-9820 / GNUTLS-SA-2025-11-18, which is
      mitigated by Debian building with -D_FORTIFY_SOURCE=2.
      Closes: #1121146
    + Drop superfluous patch, unfuzz.
    + Update symbol file.
    + Update copyright info.
    + Bump nettle-dev dependency to 3.10.
  * Drop Rules-Requires-Root: no
  * Cherry-pick post-release fix.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Nov 2025 14:41:00 +0100
