=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnutls28
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
  Eric Dorland <eric@debian.org>,
@@ -35,7 +34,6 @@
  texlive-plain-generic,
 Build-Conflicts:
  libgnutls-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnutls-team/gnutls
 Vcs-Git: https://salsa.debian.org/gnutls-team/gnutls.git
@@ -55,7 +53,7 @@
  libidn2-dev,
  libp11-kit-dev,
  libtasn1-6-dev,
- nettle-dev (>= 3.6),
+ nettle-dev (>= 3.10),
  ${misc:Depends},
 Suggests:
  gnutls-bin,
