## gnutls28 3.8.12

=== debian/changelog ===
gnutls28 (3.8.12-3) unstable; urgency=medium

  * Drop OpenSSL wrapper library again.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Feb 2026 13:31:21 +0100

gnutls28 (3.8.12-2) unstable; urgency=high

  * While there are no libgnutls-openssl27t64 rdeps in sid anymore there are
    a couple of package which build-depend on libgnutls-openssl-dev (but
    either use regular GnuTLS interfaces or do not use GnuTLS at all.) Add
    back the OpenSSl wrapper until this version has propagated to testing.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 11 Feb 2026 18:18:55 +0100

gnutls28 (3.8.12-1) unstable; urgency=medium

  * Drop OpenSSL wrapper library.
  * New upstream bugstream release, includes fixes for (inter alia):
   + libgnutls: Fix NULL pointer dereference in PSK binder verification:
     A TLS 1.3 resumption attempt with an invalid PSK binder value in
     ClientHello could lead to a denial of service attack via crashing the
     server.  The updated code guards against the problematic dereference.
     Reported by Jaehun Lee.
     [Fixes: GNUTLS-SA-2026-02-09-1, CVSS: high] [CVE-2026-1584]
   + libgnutls: Fix name constraint processing performance issue:
     Verifying certificates with pathological amounts of name constraints
     could lead to a denial of service attack via resource exhaustion.
     Reworked processing algorithms exhibit better performance
     characteristics.  Reported by Tim Scheckenbach.
     [Fixes: GNUTLS-SA-2026-02-09-2, CVSS: medium] [CVE-2025-14831]
  * Drop 50_0001-mem-include-headers-for-size_t-and-uint8_t.patch.
  * Update copyright info.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 09 Feb 2026 18:34:29 +0100
