=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gnutls28
 Section: libs
-Priority: optional
 Maintainer: Debian GnuTLS Maintainers <pkg-gnutls-maint@lists.alioth.debian.org>
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
@@ -12,7 +11,6 @@
  ca-certificates <!nocheck>,
  chrpath,
  debhelper-compat (= 13),
- freebsd-net-tools [kfreebsd-i386 kfreebsd-amd64] <!nocheck>,
  gperf,
  libcmocka-dev <!nocheck>,
  libidn2-dev,
@@ -21,7 +19,7 @@
  libtasn1-6-dev,
  libunbound-dev,
  libunistring-dev,
- net-tools [!kfreebsd-i386 !kfreebsd-amd64] <!nocheck>,
+ net-tools,
  nettle-dev (>= 3.10),
  openssl <!nocheck>,
  pkgconf,
@@ -34,7 +32,7 @@
  texlive-plain-generic,
 Build-Conflicts:
  libgnutls-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnutls-team/gnutls
 Vcs-Git: https://salsa.debian.org/gnutls-team/gnutls.git
 Homepage: https://www.gnutls.org/
@@ -44,11 +42,9 @@
 Architecture: any
 Provides:
  gnutls-dev,
- libgnutls-openssl-dev,
 Depends:
  libc6-dev | libc-dev,
  libgnutls-dane0t64 (= ${binary:Version}),
- libgnutls-openssl27t64 (= ${binary:Version}),
  libgnutls30t64 (= ${binary:Version}),
  libidn2-dev,
  libp11-kit-dev,
@@ -160,34 +156,6 @@
  .
  This package contains all the GnuTLS documentation.
 
-Package: libgnutls-openssl27t64
-Provides: ${t64:Provides}
-Replaces: libgnutls-openssl27
-Breaks: libgnutls-openssl27 (<< ${source:Version})
-Architecture: any
-Depends:
- libgnutls30t64 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Pre-Depends:
- ${misc:Pre-Depends},
-Multi-Arch: same
-Description: GNU TLS library - OpenSSL wrapper
- GnuTLS is a portable library which implements the Transport Layer
- Security (TLS 1.0, 1.1, 1.2, 1.3) and Datagram
- Transport Layer Security (DTLS 1.0, 1.2) protocols.
- .
- GnuTLS features support for:
-  - certificate path validation, as well as DANE and trust on first use.
-  - the Online Certificate Status Protocol (OCSP).
-  - public key methods, including RSA and Elliptic curves, as well as password
-    and key authentication methods such as SRP and PSK protocols.
-  - all the strong encryption algorithms, including AES and Camellia.
-  - CPU-assisted cryptography with VIA padlock and AES-NI instruction sets.
-  - HSMs and cryptographic tokens, via PKCS #11.
- .
- This package contains the runtime library of the GnuTLS OpenSSL wrapper.
-
 Package: libgnutls-dane0t64
 Provides: ${t64:Provides}
 Replaces: libgnutls-dane0
