=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,12 @@
 	--enable-ld-version-script --enable-cxx \
 	--disable-rpath \
 	--enable-libdane --without-tpm \
-	--enable-openssl-compatibility \
 	--disable-silent-rules \
 	--with-unbound-root-key-file=/usr/share/dns/root.key \
 	--with-default-trust-store-file=/etc/ssl/certs/ca-certificates.crt \
 	--with-packager=Debian \
 	--with-packager-bug-reports=http://bugs.debian.org/ \
 	--with-packager-version=$(DEB_VERSION) \
-	--with-default-priority-string='NORMAL:-VERS-ALL:+VERS-TLS1.3:+VERS-TLS1.2:+VERS-DTLS1.2:%PROFILE_MEDIUM'
 
 BDIR = -O--builddirectory=b4deb
 
@@ -48,9 +46,6 @@
 		-V 'libgnutls30t64 (>= 3.7.0-0)' -- -c4
 	dh_makeshlibs $(BDIR) -p libgnutls-dane0t64  \
 		-V 'libgnutls-dane0t64 (>= 3.7.0-0)' \
-		-- -c4
-	dh_makeshlibs $(BDIR) -p libgnutls-openssl27t64 \
-		-V 'libgnutls-openssl27t64 (>= 3.7.0-0)' \
 		-- -c4
 	dh_makeshlibs $(BDIR) --remaining-packages
